.btn {
    outline: none;
    cursor: pointer;
    min-height: rem(32);
    font-weight: 600;
    font-size: rem(11);
    line-height: rem(16);
    text-transform: uppercase;
    padding: rem(4) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    column-gap: rem(8);
    border-radius: rem(20);
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid;
    transition: var(--transition-time);

    &:hover {
        text-decoration: none;
        transition: var(--transition-time);
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &.disabled,
    &:disabled {
        cursor: default;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(20);
    }
}

.btn-primary {
    fill: white;
    color: white;
    background-color: var(--blue);
    border-color: var(--blue);

    &:hover {
        fill: white;
        color: white;
        border-color: var(--w75);
        background-color: var(--w75);
    }

    &:active {
        fill: white;
        color: white;
        border-color: var(--blue);
        background-color: var(--blue);
    }

    &.disabled,
    &:disabled {
        cursor: default;
        color: var(--gray-20) !important;
        background-color: transparent !important;
        border-color: var(--gray-10) !important;
    }
}

.btn-outline {
    fill: var(--blue);
    color: var(--blue);
    border-color: var(--w50);
    background-color: white;

    &:hover {
        fill: white;
        color: white;
        background-color: var(--blue);
    }

    &:active {
        fill: var(--blue);
        color: var(--blue);
        background-color: white;
    }
}

.btn-xs {
    font-size: rem(9);
    line-height: rem(13);
    min-height: rem(28);
    padding: rem(4) rem(14) rem(4) rem(14);
}

.btn-sm {
    font-size: rem(10);
    line-height: rem(12);
    min-height: rem(32);
    padding: rem(4) rem(15);
}

.btn-md {
    font-size: rem(11);
    line-height: rem(13);
    min-height: rem(32);
    padding: rem(4) rem(15);

    @include media-breakpoint-up(md) {
        //min-height: rem(36);
        //font-size: rem(11);
        //line-height: rem(14);
    }
}

.btn-medium {
    min-height: rem(36);
    font-size: rem(11);
    line-height: rem(14);
    padding: rem(4) rem(20);
}

.btn-lg {
    font-size: rem(13);
    line-height: rem(20);
    min-height: rem(48);
    padding: rem(4) rem(24);
}

.btn-xl {
    font-size: rem(15);
    line-height: rem(22);
    min-height: rem(54);
    padding: rem(4) rem(26);
}

.btn-message {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(28);
    height: rem(28);
    flex-shrink: 0;
    cursor: pointer;
    overflow: hidden;
    border-radius: 50%;
    box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0);
    transition: var(--transition-time);

    &:hover {
        box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.25);
        transition: var(--transition-time);
    }

    @include media-breakpoint-up(xl) {

    }
}

.btn-social {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(28);
    height: rem(28);
    flex-shrink: 0;
    cursor: pointer;
    overflow: hidden;
    flex-shrink: 0;
    border-radius: 50%;
    fill: var(--gray-20);
    transition: var(--transition-time);

    &:hover {
        fill: var(--gray-40);
        transition: var(--transition-time);
    }
}

.btn-text {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: rem(15);
    line-height: rem(26);
    color: var(--gray-50);
    text-decoration: none;
    background: transparent;
    transition: var(--transition-time);

    &:hover {
        color: var(--gray-80);
        text-decoration: none;
        transition: var(--transition-time);
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    fill: var(--blue);
    color: var(--blue);
    font-size: rem(12);
    line-height: rem(20);
    background: transparent;
    text-decoration: underline;
    display: inline-flex;
    align-items: center;
    column-gap: rem(6);
    transition: var(--transition-time);

    i {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        flex-shrink: 0;
    }

    &:hover {
        fill: var(--blue);
        color: var(--blue);
        text-decoration: none;
        transition: var(--transition-time);
    }

    &--md {
        font-size: rem(13);
        line-height: rem(20);
    }

    &--none {
        text-decoration: none;

        &:hover {
            fill: var(--w75);
            color: var(--w75);
            text-decoration: none;
        }
    }
}

.btn-cart {
    fill: white;
    padding: 0;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(32);
    height: rem(32);
    cursor: pointer;
    border-radius: 50%;
    background-color: var(--green);
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    transition: var(--transition-time);

    i {
        display: block;
        width: rem(16);
        height: rem(16);
        flex-shrink: 0;
    }

    &:hover {
        fill: white;
        background-color: var(--blue);
        transition: var(--transition-time);
    }

    &:active {
        background-color: var(--green);
    }
}

.btn-nav {
    font-size: 0;
    line-height: 0;
    width: rem(32);
    height: rem(32);
    cursor: pointer;
    fill: var(--gray-20);
    border-radius: 50%;
    background-color: transparent;
    border: 1px solid var(--gray-10);
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;

    i {
        width: rem(16);
        height: rem(16);
        display: block;
        flex-shrink: 0;
    }

    &:hover {
        fill: var(--blue);
        border-color: var(--blue);
    }

    &:disabled,
    &.disabled {
        cursor: default;
        fill: var(--gray-20) !important;
        border-color: var(--gray-10) !important;
        opacity: .4;
    }
}

.btn-copy {

    &:after {
        content: attr(data-copy-base);
    }

    &.copied {

        &:after {
            content: attr(data-copy-active);
        }
    }
}

.btn-icon {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(24);
    height: rem(24);
    cursor: pointer;
    fill: var(--gray-40);
    background-color: transparent;
    transition: var(--transition-time);
    flex-shrink: 0;

    &:hover {
        fill: var(--gray-80);
        transition: var(--transition-time);
    }

    &:active {
        fill: var(--gray-40);
    }
}

.btn-control {
    padding: 0;
    width: 32px;
    height: 32px;
    font-size: 0;
    line-height: 0;
    display: block;
    cursor: pointer;
    border-radius: 4px;
    border: none;
    outline: none;
    fill: white;
    background-color: var(--primary);

    &:hover {
        opacity: 1;
        fill: white;
        background-color: var(--w75);
    }

    &:disabled,
    &.disabled {
        opacity: 0.5;
        fill: #4D4D4D;
        cursor: default;
        background-color: #E0E0E0;
    }
}
